Description

I just did a fresh install of 1.1rc5 using the installer which worked without error but after the installation there a duplicate copies of

some provisioning templates. This also means you cannot edit these template as foreman complains that the template already exists

when you try to save the changes. (see the attached screenshot)

History

#1 - 02/03/2013 12:05 PM - Dennis Jacobfeuerborn

A workaround is to delete all but one of the duplicate entries. After that the remaining entry can be updated again.

#2 - 02/05/2013 04:52 AM - Dominic Cleal

- Status changed from New to Feedback

Perhaps an unclean database to begin with?  You can run "rake db:drop" (with RAILS_ENV) to clear the database, but it sounds like it was installed a

couple of times or something.. this doesn't happen on a clean install.

#3 - 02/05/2013 03:33 PM - Dennis Jacobfeuerborn

I installed a fresh virtual machine to test foreman 1.1rc5 with. I also have a VM with foreman 1.0.2 but I didn't want to upgrade that precisely to avoid

running into issues with stale data.

#4 - 05/10/2013 09:27 AM - Dominic Cleal

- Status changed from Feedback to Resolved

We tracked this down to a problem in Foreman core with the database migrations.  It's fixed in Foreman 1.2.  Thanks for the report!
